﻿.loaderbody {
    height: 100%;
    width: 100%;
    left: 0px;
    top: 0px;
    position: fixed;
    overflow: show;
    background-color: rgba(128,128,128,0.2);
    z-index: 2147483647;
}

.loader {
    border: 5px solid #f3f3f3; /* Light grey */
    border-top: 5px solid #fb174d; /* Blue */
    border-radius: 50%;
    width: 100px;
    height: 100px;
    display: block;
    position: fixed;
    animation: spin 2s linear infinite;
    position: fixed;
    top: 45%;
    left: 47%;
    -webkit-animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.topheader {
    padding: 5px 0px;
    background: #1a4a84;
}

.navbar-toggler {
    padding: .5rem .5rem;
    font-size: 1.01rem;
    line-height: 1;
    background-color: #ffffff;
    border: 1px solid #ffffff;
    border-radius: .25rem;
}

.form-control {
    display: block;
    width: 100%;
    height: 37px;
    padding: 0.0rem 0.70rem;   
    background-clip: padding-box;
}

    a:focus, .form-control:focus, input[type=radio]:focus {
        outline-color: #0E9FFF;
        outline-width: 2px;
        outline-style: solid;
    }

    .form-control:disabled {
        background-color: #caf9fb9e;
        opacity: 1;
    }

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 60px; /* Set the fixed height of the footer here */
    line-height: 20px; /* Vertically center the text there */
    background: #2f3d4a;
    color: #8f9aa5;
    padding: 0 0 0 20px;
}
    .footer .sub-footer {
        margin-top: 0px;
        border-top: 1px solid rgba(120, 130, 140, 0.13);
        padding: 00px 0 0;
    }


.bg-imagen {
    height: 150px !important;
    width: 100%;
}


.text-upper {
    text-transform: uppercase !important;
}


.background-image-login {
    background-image: linear-gradient(180deg, rgb(59, 192, 195, 0.6) 0%, rgba(0, 141, 184, 0.7) 40%, rgba(0, 141, 184, 1) 100%), url(../images/sistema/baner.jpg);
    background-repeat: no-repeat;
    background-position: center top;
    background-size: 100%;
    min-height: 650px;
}


/*camara*/
#video {
    border: 1px solid black;
    box-shadow: 2px 2px 3px black;
    width: 215px;
    height: 240px;
}

#photoCam {
    border: 1px solid black;
    box-shadow: 2px 2px 3px black;
    width: 215px;
    height: 240px;
}

#canvas {
    display: none;
}

.camera-vi {
    width: 215px;
    display: inline-block;
}

/*fin camara*/

/*notify lolibox*/
.lobibox-notify.lobibox-notify-error {
    border-color: #fc4b6c;
    background-color: #fc4b6c;
    color: #FFF;
}

    .lobibox-notify.lobibox-notify-error:hover {
        background-color: #fc4b6c;
        border-color: #fc4b6c;
    }


.lobibox-notify.lobibox-notify-info {
    border-color: #0ba7e2;
    background-color: #0ba7e2;
    color: #FFF;
}

    .lobibox-notify.lobibox-notify-info:hover {
        border-color: #0ba7e2;
        background-color: #0ba7e2;
    }

.lobibox-notify.lobibox-notify-warning {
    border-color: #ffb22b;
    background-color: #ffb22b;
    color: #FFF;
}

    .lobibox-notify.lobibox-notify-warning:hover {
        border-color: #ffb22b;
        background-color: #ffb22b;
    }


.lobibox-notify.lobibox-notify-success {
    border-color: #21c1d6;
    background-color: #21c1d6;
    color: #FFF;
}

    .lobibox-notify.lobibox-notify-success:hover {
        border-color: #21c1d6;
        background-color: #21c1d6;
    }
/*fin notify lobibox*/

/* Syncfusion*/

.e-grid .e-headercell {
    background-color: #3277b2;
    border-color: #3277b2;
    color: white;
    font-size: 12px;
    font-weight: 500;
}

.e-grid th.e-headercell[aria-sort='ascending'] .e-headertext, .e-grid th.e-headercell[aria-sort='descending'] .e-headertext, .e-grid th.e-headercell[aria-sort='ascending'] .e-sortfilterdiv, .e-grid th.e-headercell[aria-sort='descending'] .e-sortfilterdiv {
    font-size: 12px;
    font-weight: 500;
    color: #f4f4f4;
    opacity: 1;
}

.e-grid td.e-active, .e-grid .e-form-titlebar {
    background: #aecf49;
    color: #fff;
}

.e-grid .e-headercelldiv {
    border: 0 none;
    display: block;
    font-size: 12px;
    font-weight: normal;
}

.e-grid .e-rowcell {
    font-size: 12px;
    line-height: 21px;
}
/* fin grid */